=== debian/changelog ===
deepin-terminal (6.5.18) unstable; urgency=medium

  * fix: Thunder God Window Display Abnormal

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 13:07:55 +0800

deepin-terminal (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 19 Sep 2025 10:44:03 +0800

deepin-terminal (6.5.16) unstable; urgency=medium

  * Update version to 6.5.16.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 11 Sep 2025 10:52:57 +0800

deepin-terminal (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 19 Aug 2025 20:41:33 +0800

deepin-terminal (6.5.14) unstable; urgency=medium

  * chore: Add qt6-tools-dev to Build-Depends in debian/control (#435)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:32:43 +0800

deepin-terminal (6.5.13) unstable; urgency=medium

  * Add qt6-tools-dev to Build-Depends in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 12:45:47 +0800

deepin-terminal (6.5.12) unstable; urgency=medium

  * chore: Update version to 6.5.11

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 09:25:55 +0800

deepin-terminal (6.5.11) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:00:06 +0800

deepin-terminal (6.5.10) unstable; urgency=medium

  * chore: Update deepin-manual resources (#428)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 19:02:11 +0800

deepin-terminal (6.5.9) unstable; urgency=medium

  * chore: update translation

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:40:43 +0800

deepin-terminal (6.5.8) unstable; urgency=medium

  * fix(translations): update translations for multiple languages by Ai

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 10:53:21 +0800

deepin-terminal (6.5.7) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 09:58:19 +0800

deepin-terminal (6.5.6) unstable; urgency=medium

  * fix: replace icon siez 12*12(Bug: 279839)

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 13:09:47 +0800

deepin-terminal (6.5.5) unstable; urgency=medium

  * fix: replace hover icon (Bug: 279839)

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:06:38 +0800

deepin-terminal (6.5.4) unstable; urgency=medium

  * New version 6.5.4.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 13:58:35 +0800

deepin-terminal (6.5.3) unstable; urgency=medium

  * refactor: upgrade Qt and DTK compatibility (#402)

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 19:01:38 +0800

deepin-terminal (6.5.2) unstable; urgency=medium

  * New version 6.5.2.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 06 Mar 2025 19:41:49 +0800

deepin-terminal (6.5.1) unstable; urgency=medium

  * fix: crash when open remote manage(Bug: 303369)

 -- renbin <renbin@uniontech.com>  Mon, 17 Feb 2025 14:52:07 +0800

deepin-terminal (6.5.0) unstable; urgency=medium

  * New version 6.5.0.

-- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 15:30:43 +0800

deepin-terminal (5.9.51) unstable; urgency=medium

  * New version 5.9.51.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:23:55 +0800

deepin-terminal (5.9.50) unstable; urgency=medium

  * New version 5.9.50.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:13:27 +0800

deepin-terminal (5.9.49) unstable; urgency=medium

  * New version 5.9.49.

 -- wangcong <wangcong@uniontech.com>  Mon, 15 Jan 2024 21:18:00 +0800

deepin-terminal (5.9.48) unstable; urgency=medium

  * fix: Changes the default value of the debug mode configuration file.
  * fix: Crash when show/close setting dialog.
    (#325) (Bug: 28636)
  * feat: Debug mode log adaptation

 -- wangcong <wangcong@uniontech.com>  Tue, 9 Jan 2024 21:18:00 +0800

deepin-terminal (5.9.47) unstable; urgency=medium

  * fix: Fixed the issue of high CPU usage due to cursor flickering. 
    (#317) (Bug: 231445)
  * Revert "fix: Supplementary 2 character width character set (#284)". 
    (#321) (Bug: 272385)

 -- renbin <renbin@uniontech.com>  Mon, 25 Dec 2023 15:54:39 +0800

deepin-terminal (5.9.46) unstable; urgency=medium

  * fix: Roll back gb18030 midification.

 -- renbin <renbin@uniontech.com>  Fri, 03 Nov 2023 10:55:01 +0800

deepin-terminal (5.9.45) unstable; urgency=medium

  * fix: Tab height error under low version dtk.

 -- renbin <renbin@uniontech.com>  Wed, 25 Oct 2023 13:31:59 +0800

deepin-terminal (5.9.44) unstable; urgency=medium

  * fix: Add 2 character width charset.
  * feat: Improve debug log and add log category. 
  * feat: [UI] Adapt compact mode.(Task: 292067)(Influence: UI)

 -- renbin <renbin@uniontech.com>  Mon, 16 Oct 2023 15:54:30 +0800

deepin-terminal (5.9.43) unstable; urgency=medium

  * New version 5.9.43.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 16 Jun 2023 15:48:31 +0800

deepin-terminal (5.9.42) unstable; urgency=medium

  * New version 5.9.42
  * 

 -- muyuankai <muyuankai@uniontech.com>  Thu, 13 Apr 2023 15:20:11 +0800
