=== debian/control ===
Source: deepin-terminal
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper(>= 11),
 cmake,
 pkg-config,
 qt6-5compat-dev | hello,
 qt6-base-dev | qtbase5-dev,
 qt6-tools-dev | qttools5-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-base-private-dev | qtbase5-private-dev,
 libdtk6widget-dev | libdtkwidget-dev,
 lxqt-build-tools(>= 0.6.0~),
 libutf8proc-dev,
 libglib2.0-dev,
 libsecret-1-dev,
 libgtest-dev,
 libgmock-dev,
 libxcb-ewmh-dev,
 libchardet-dev,
 libuchardet-dev (>= 0.0.6),
 libicu-dev
Standards-Version: 4.5.1
Homepage: https://www.deepin.com/

Package: deepin-terminal
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 expect,
 zssh,
 libuchardet0 (>= 0.0.6),
 libchardet1
Recommends: uos-reporter, deepin-event-log
Description: Terminal is an advanced terminal emulator with workspace, multiple
 windows, remote management, quake mode and other features.
 Terminal is a terminal emulator with simple interface, rich and powerful
 functions such as multi-windows, workspace, remote management, Quake mode
 and etc. You can instantly start and close Terminal smoothly like normal
 file window, allowing you to input commands with facility and no distractions.
