=== debian/changelog ===
deepin-terminal (6.5.21) unstable; urgency=medium

  * Update version to 6.5.21.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 21 Nov 2025 09:28:00 +0800

deepin-terminal (6.5.20) unstable; urgency=medium

  * Update version to 6.5.20.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 07 Nov 2025 11:29:30 +0800

deepin-terminal (6.5.19) unstable; urgency=medium

  * Update version to 6.5.19. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 30 Oct 2025 19:21:17 +0800
